Package twisted :: Package scripts :: Module websetroot :: Class Options |
[frames | no frames]

## Class Options

    dict --+
           |
     Options --+
               |
              Options

Method Summary
| ``opt_pickle`(self, picklename)` Set the root resource of the web server to the resource saved in this pickle.
| ``opt_script`(self, scriptname)` Set the root resource of the web server to the resource created (and put into the `resource' variable) by this script.
Inherited from Options
| ``__init__`(self)`
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``opt_version`(self)`
| ``parseArgs`(self)` I am called with any leftover arguments which were not options.
| ``parseOptions`(self, options)` The guts of the command-line parser.
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`list` | `optFlags` = `[['encrypted', 'e', 'The specified tap/aos/xm...`
`list` | `optParameters` = `[['port', 'p', 80, 'The port the web ser...`
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Method Details

### opt_pickle(self, picklename) Set the root resource of the web server to the resource saved in this pickle.

### opt_script(self, scriptname) Set the root resource of the web server to the resource created (and put into the `resource' variable) by this script.

Class Variable Details

    ### optFlags Type: `list` Value:
        [['encrypted', 'e', 'The specified tap/aos/xml file is encrypted.']]

    ### optParameters Type: `list` Value:
        [['port', 'p', 80, 'The port the web server is running on'],
         ['file', 'f', 'twistd.tap', 'read the given .tap file'],
         ['python', 'y', None, 'read an application from within a Python file'\
        ],
         ['xml',
          'x',
          None,
          'Read an application from a .tax file (Marmalade format).'],
        ...

Generated by Epydoc 2.0 on Sat Oct 25 00:55:09 2003 | http://epydoc.sf.net